Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2017.01.04
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.xz?/GeoLiteCity-%{version}.dat.xz
# Source0-md5:	1f180ea293e66ae853474388e5a13d13
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz?/GeoLiteCityv6-%{version}.dat.gz
# Source1-md5:	fa68c66e5ca7938d753e7844f7dfa1eb
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

xz -d GeoLiteCity-%{version}.dat.xz
gunzip GeoLiteCityv6-%{version}.dat.gz

%build
# get file DATE in GMT timezone
filedate() {
	TZ=GMT stat -c '%y' "$1" | awk '{print $1}'
}

# use newest file date as version
d1=$(filedate GeoLiteCity-%{version}.dat)
d2=$(filedate GeoLiteCityv6-%{version}.dat)
if [ "$(echo $d1 | tr -d -)" -gt "$(echo $d2 | tr -d -)" ]; then
	d=$d1
else
	d=$d2
fi

ver=$(echo $d | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCity.dat
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

cp -p GeoLiteCityv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoLiteCityv6.dat
ln -s GeoLiteCityv6.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCityv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Thu Jan 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-City.git;a=log;h=master

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> f7f1696
- updated to 2017.01.04

* Wed Dec 07 2016 Elan Ruusamäe <glen@delfi.ee> 2253ee9
- updated to 2016.12.07

* Tue Dec 06 2016 Elan Ruusamäe <glen@delfi.ee> 9770ceb
- updated to 2016.12.06

* Tue Nov 01 2016 Elan Ruusamäe <glen@delfi.ee> 917e0be
- updated to 2016.11.01

* Mon Oct 31 2016 Elan Ruusamäe <glen@delfi.ee> 123731f
- updated to 2016.10.31

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> 77aaccb
- updated to 2016.10.04

* Fri Sep 30 2016 Elan Ruusamäe <glen@delfi.ee> 1b53a8f
- updated to 2016.09.30

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> fdc1b6c
- updated to 2016.09.29

* Fri Sep 09 2016 Elan Ruusamäe <glen@delfi.ee> 9474e50
- updated to 2016.09.08

* Wed Sep 07 2016 Elan Ruusamäe <glen@delfi.ee> 253b07f
- updated to 2016.09.07

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 69b5689
- updated to 2016.09.06

* Tue Aug 02 2016 Elan Ruusamäe <glen@delfi.ee> ae3eba6
- updated to 2016.08.02

* Wed Jul 06 2016 Elan Ruusamäe <glen@delfi.ee> f3cdde9
- updated to 2016.07.06

* Tue Jun 07 2016 Adam Osuchowski <adwol@pld-linux.org> 720d035
- up to 2016.06.07

* Fri Jun 03 2016 Adam Osuchowski <adwol@pld-linux.org> c0fcc43
- typo

* Thu May 12 2016 Jan Rękorajski <baggins@pld-linux.org> 227a98a
- release 2 (by relup.sh)

* Tue May 03 2016 Elan Ruusamäe <glen@delfi.ee> 2e259c3
- updated to 2016.05.03

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 416625f
- updated to 2016.04.29

* Thu Apr 28 2016 Elan Ruusamäe <glen@delfi.ee> e84c9df
- updated to 2016.04.28

* Mon Apr 18 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e0d46c9
- up to 2016.04.15

